package cn.estsh.i3plus.pojo.base.bean;

import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Description : service层封装列表与分页，传至controller
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-23 12:10
 * @Modify:
 **/
public class ListPager<Obj> {

    public ListPager() {
    }

    public ListPager(List<Obj> objectList, Pager objectPager) {
        this.objectList = objectList;
        this.objectPager = objectPager;
    }

    private List<Obj> objectList;
    private Pager objectPager;

    public List<Obj> getObjectList() {
        return objectList;
    }

    public void setObjectList(List<Obj> objectList) {
        this.objectList = objectList;
    }

    public Pager getObjectPager() {
        return objectPager;
    }

    public void setObjectPager(Pager objectPager) {
        this.objectPager = objectPager;
    }
}
